Show / Hide Table of Contents

# Struct AgentDeepDungeonMapData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentDeepDungeonMapData

### Fields

| Improve this Doc View Source

#### DeepDungeonId

##### Declaration

    public byte DeepDungeonId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MapArray

##### Declaration

    public sbyte *MapArray

##### Field Value

Type | Description
--- | ---
System.SByte* |

| Improve this Doc View Source

#### MapLocked

##### Declaration

    public bool MapLocked

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RoomIndexArray

##### Declaration

    public sbyte *RoomIndexArray

##### Field Value

Type | Description
--- | ---
System.SByte* |

| Improve this Doc View Source

#### RoomIndexCount

##### Declaration

    public byte RoomIndexCount

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Unk_34

##### Declaration

    public byte Unk_34

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### IndexSpan

##### Declaration

    public readonly Span<sbyte> IndexSpan { get; }

##### Property Value

Type | Description
--- | ---
Span<System.SByte> |

| Improve this Doc View Source

#### MapSpan

##### Declaration

    public readonly Span<sbyte> MapSpan { get; }

##### Property Value

Type | Description
--- | ---
Span<System.SByte> |